<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="api_faq_review_user_name">
  <title>Change the Default Track Changes (Review) Author Name</title>
  <body>
    <section id="question">
      <title>Use Case</title>
      <p id="p_nfg_dgk_54b">You want to change the default author name used for <xref
          keyref="glossentry_track-changes"><term>Tracked Changes</term></xref> in the <i>Author
          Component</i>.</p>
    </section>
    <section id="answer">
      <title>Solution</title>
      <p id="p_ofg_dgk_54b">The <term>Track Changes</term> (Review) author name is determined in the following order:
          <ol id="ol_lqr_btm_5h">
          <li id="li_pfg_dgk_54b"><b>API</b> - The review user name can be imposed through the following
            API:<codeblock  id="codeblock_qfg_dgk_54b">ro.sync.ecss.extensions.api.AuthorReviewController.setReviewerAuthorName(String)</codeblock></li>
          <li id="li_rfg_dgk_54b"><b>Options</b> - If the author name was not imposed from the API, it is determined
            from the <xref
              href="preferences-track-changes.dita#preferences-track-changes/author-option"
                ><uicontrol>Author</uicontrol> option set in the <uicontrol>Review</uicontrol>
              preferences page</xref>.</li>
          <li id="li_sfg_dgk_54b"><b>System properties</b> - If the author name was not imposed from the API or from the
            application options then the following system property is
            used:<codeblock  id="codeblock_tfg_dgk_54b">System.getProperty("user.name")</codeblock></li>
        </ol></p>
      <p id="p_ufg_dgk_54b">So, to impose the <term>Track Changes</term> author, use one of the following
          approaches:<ol id="ol_enc_kxm_5h">
          <li id="li_vfg_dgk_54b">Use the API to impose the reviewer author name. Here is the online Javadoc of this
            method: <xref
              href="https://www.oxygenxml.com/InstData/Editor/SDK/javadoc/ro/sync/ecss/extensions/api/AuthorReviewController.html#setReviewerAuthorName(java.lang.String)"
              format="html" scope="external"/></li>
          <li id="li_wfg_dgk_54b">Customize the default options and set a specific value for the <xref
              href="preferences-track-changes.dita#preferences-track-changes/author-option"
                ><uicontrol>Author</uicontrol> name option set in the <uicontrol>Review</uicontrol>
              preferences page</xref>.</li>
          <li id="li_xfg_dgk_54b">Set the value of <codeph>user.name</codeph> system property when the <i>Author
              Component</i> is initializing and before any document is loaded.</li>
        </ol></p>
    </section>
  </body>
</topic>
